///-------------------------------------------------------------------------------------------------
/// 
/// \file TactileMenu.h
/// \brief Class for the Menues of the Tactile P300 System
/// \author Tobias Baumann (TH Nuernberg).
/// \version 1.0.
/// \date Mon Feb 10 17:10:32 2022.
/// \copyright <a href="https://choosealicense.com/licenses/agpl-3.0/">GNU Affero General Public License v3.0</a>.
/// 
///-------------------------------------------------------------------------------------------------

//includes
#pragma once

#include "../ovp_defines.h"

#include <gtk/gtk.h>
#include <openvibe/ov_all.h>
#include <toolkit/ovtk_all.h>

namespace OpenViBE {
namespace Plugins {
namespace Tactilebci {
	
//Class TactileMenu
class TactileMenu
{
    private:
        char* m_LabelText[6];
        TactileMenu* m_SubMenu[6];
        void (*m_SubRoutine[6])(void);
		GtkLabel* m_Label[6];
		GtkBuilder* m_MainInterface;
		
    public:
        TactileMenu(char* label0, char* label1, char* label2, char* label3, char* label4, char* label5);
        void call_SubRoutine(int i);
        char* get_LabelText(int i);
        TactileMenu* get_SubMenu(int i);
		
        void set_SubRoutine(int i, void(*subroutine)(void));
        void set_SubMenu(int i, TactileMenu* submenu);
		
		void init_Labels(GtkBuilder* maininterface);
		void reloadui(void);
};


//Subroutine declarations
void dummysubroutine(void);

}  // namespace Tactilebci
}  // namespace Plugins
}  // namespace OpenViBE